export type ProcessorCategory = 'Amplitude' | 'Filter' | 'Time' | 'Space' | 'Pitch' | 'Modulation' | 'Distortion' | 'Spectral' | 'Utility';

export interface AudioProcessor {
  getName(): string;
  getDescription(): string;
  getCategory(): ProcessorCategory;
  process(
    leftChannel: Float32Array,
    rightChannel: Float32Array
  ): [Float32Array, Float32Array] | Promise<[Float32Array, Float32Array]>;
}
